Method: projects.locations.endpointAttachments.create | Integration Connectors | Google Cloud Documentation (original) (raw)
- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Creates a new EndpointAttachment in a given project and location.
HTTP request
POST https://connectors.googleapis.com/v1/{parent=projects/*/locations/*}/endpointAttachments
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
| parent | string Required. Parent resource of the EndpointAttachment, of the form: projects/*/locations/* Authorization requires the following IAM permission on the specified resource parent: connectors.endpointAttachments.create |
Query parameters
| Parameters | |
|---|---|
| endpointAttachmentId | string Required. Identifier to assign to the EndpointAttachment. Must be unique within scope of the parent resource. |
Request body
The request body contains an instance of [EndpointAttachment](/integration-connectors/docs/reference/rest/v1/projects.locations.endpointAttachments#EndpointAttachment).
Response body
If successful, the response body contains a newly created instance of [Operation](/integration-connectors/docs/reference/rest/v1/projects.locations.operations#Operation).
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.